Đến nội dung


Hình ảnh
- - - - -

chuyển text bảng từ cad sang excel


  • Please log in to reply
6 replies to this topic

#1 giaptk3

giaptk3

    biết vẽ pline

  • Members
  • PipPip
  • 64 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 29 February 2008 - 02:10 PM

nhanh lên jùm em các anh ơi
em muốn chuyển số liệu mỏ vật liệu từ card sang excel.
http://www.cadviet.com/upfiles/MODAT_VT.dwg
  • 1

#2 MANHHUNGXDA

MANHHUNGXDA

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 926 Bài viết
Điểm đánh giá: 458 (tốt)

Đã gửi 29 February 2008 - 02:49 PM

nhanh lên jùm em các anh ơi
em muốn chuyển số liệu mỏ vật liệu từ card sang excel.


Chả hiểu ý ông thế nào! Computer Aided Desingn =CAD ông ạ
  • 0
Hãy ước cho trọn 1 ước mơ!

#3 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4106 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 29 February 2008 - 04:52 PM

nhanh lên jùm em các anh ơi
em muốn chuyển số liệu mỏ vật liệu từ card sang excel.
http://www.cadviet.c...es/MODAT_VT.dwg


Tôi có thể giúp bạn với một điều kiện như sau:
Trong các ô rỗng, bạn vẫn phải có một đối tượng text tại đúng vị trí, nhưng với giá trị là dấu hoa thị (*).
  • 0

#4 giaptk3

giaptk3

    biết vẽ pline

  • Members
  • PipPip
  • 64 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 01 March 2008 - 10:20 AM

Tôi có thể giúp bạn với một điều kiện như sau:
Trong các ô rỗng, bạn vẫn phải có một đối tượng text tại đúng vị trí, nhưng với giá trị là dấu hoa thị (*).

Bạn có thể nói cách thức cho mình được không
http://www.cadviet.c...yenquaexcel.dwg
cảm ơn bạn nhiều
  • 0

#5 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4106 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 03 March 2008 - 09:47 AM

Bạn có thể nói cách thức cho mình được không
http://www.cadviet.com/upfiles/chuyenquaexcel.dwg
cảm ơn bạn nhiều

Lệnh C2E dưới đây sẽ giúp bạn.

(defun c:c2e ( / hangdau)
(defun sosanh (e1 e2 / p1 p2)
(setq p1 (car e1)
p2 (car e2)
)
(if (equal (cadr p1) (cadr p2) fuzz)
(< (car p1) (car p2))
(> (cadr p1) (cadr p2))
)
)
(setq
ss (ssget '((0 . "TEXT")))
lst (ss2ent ss)
lst (mapcar '(lambda (e) (cons (cdr (assoc 10 (entget e))) (cdr (assoc 1 (entget e))))) lst)
caotext (cdr (assoc 40 (entget (ssname ss 0))))
fuzz (* caotext 1.0)
lst (vl-sort lst 'sosanh)
index 1
oldy nil
fn (getfiled "Chon file de save" "" "csv" 1)
fid (open fn "w")
)

(foreach e lst
(if (equal oldy (cadr (car e)) fuzz)
(progn
(princ "," fid)
(setq index (1+ index))
)
(progn
(if hangdau
(progn
(setq index 1)
(princ "\n" fid)
)
(setq hangdau t)
)
)
)
(princ (cdr e) fid)
(setq oldy (cadr (car e)))
)
(close fid)
)

(defun ss2ent (ss / sodt index lstent)
(setq
sodt (if ss
(sslength ss)
0
)
index 0
)
(repeat sodt
(setq ent (ssname ss index)
index (1+ index)
lstent (cons ent lstent)
)
)
(reverse lstent)
)


  • 3

#6 npkh1981

npkh1981

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 March 2008 - 09:10 PM

Lệnh C2E dưới đây sẽ giúp bạn.


(defun c:c2e ( / hangdau)
(defun sosanh (e1 e2 / p1 p2)
(setq p1 (car e1)
p2 (car e2)
)
(if (equal (cadr p1) (cadr p2) fuzz)
(< (car p1) (car p2))
(> (cadr p1) (cadr p2))
)
)
(setq
ss (ssget '((0 . "TEXT")))
lst (ss2ent ss)
lst (mapcar '(lambda (e) (cons (cdr (assoc 10 (entget e))) (cdr (assoc 1 (entget e))))) lst)
caotext (cdr (assoc 40 (entget (ssname ss 0))))
fuzz (* caotext 1.0)
lst (vl-sort lst 'sosanh)
index 1
oldy nil
fn (getfiled "Chon file de save" "" "csv" 1)
fid (open fn "w")
)

(foreach e lst
(if (equal oldy (cadr (car e)) fuzz)
(progn
(princ "," fid)
(setq index (1+ index))
)
(progn
(if hangdau
(progn
(setq index 1)
(princ "\n" fid)
)
(setq hangdau t)
)
)
)
(princ (cdr e) fid)
(setq oldy (cadr (car e)))
)
(close fid)
)

(defun ss2ent (ss / sodt index lstent)
(setq
sodt (if ss
(sslength ss)
0
)
index 0
)
(repeat sodt
(setq ent (ssname ss index)
index (1+ index)
lstent (cons ent lstent)
)
)
(reverse lstent)
)

Cám ơn bác đã giúp mình
Nhưng có cách nào tách riêng từng text ra từng ô được không
  • 0

#7 trioby1

trioby1

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 15 October 2010 - 04:31 PM

Bạn Nguyen Hoanh ui, vậy có thể xuất các Mtext sang autoCad không. Bạn có thể hiểu chỉnh thêm chọn đối tượng là Mtext thì lisp của bạn là quá ok luôn. Mong sớm nhận được hồi âm
  • 1